#!/bin/bash

echo "**** Building latest monitoring container ****"
$(pwd)/build.sh

echo "**** Deleting existing container ****"
sudo docker rm -f munin

echo "**** Running monitoring (testing setup) ****"
sudo docker run -itd \
    --restart unless-stopped \
    --network services \
    --name containerized-monitoring \
    -e TZ=UTC \
    -e DEBUG=1 \
    -p 2813:2813/tcp \
    -l diun.enable=true \
    -l traefik.enable=false \
    --mount type=tmpfs,destination=/opt/munin/www \
    --mount type=tmpfs,destination=/opt/munin/log \
    --mount type=tmpfs,destination=/opt/munin/run \
    --mount type=tmpfs,destination=/opt/munin/cgi-tmp \
    containerized-monitoring:latest

docker logs -f --since=1m containerized-monitoring
